Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Select_Reactor_Base.cpp File Reference

`#include "ace/Select_Reactor_Base.h"`
`#include "ace/Reactor.h"`
`#include "ace/Thread.h"`
`#include "ace/SOCK_Acceptor.h"`
`#include "ace/SOCK_Connector.h"`
`#include "ace/Timer_Heap.h"`
`#include "ace/Log_Msg.h"`
`#include "ace/Signal.h"`

Include dependency graph for Select_Reactor_Base.cpp:

## Defines
#define | ACE_SELECT_REACTOR_HANDLE(H) (this->event_handlers_[(H)].handle_)
#define | ACE_SELECT_REACTOR_EVENT_HANDLER(THIS, H) ((THIS)->event_handlers_[(H)].event_handler_)
## Functions
const char * | get_rcsid_ace_Select_Reactor_Base (const char *)
## Variables
const char * | rcsid_ace_Select_Reactor_Base = get_rcsid_ace_Select_Reactor_Base ( rcsid_ace_Select_Reactor_Base )

## Define Documentation

#define ACE_SELECT_REACTOR_EVENT_HANDLER | ( | THIS,
|  | H |  | ) | ((THIS)->event_handlers_[(H)].event_handler_)

#define ACE_SELECT_REACTOR_HANDLE | ( | H |  | ) | (this->event_handlers_[(H)].handle_)

## Function Documentation

const char* get_rcsid_ace_Select_Reactor_Base | ( | const char * |  | ) | `[inline, static]`

## Variable Documentation

const char* rcsid_ace_Select_Reactor_Base = get_rcsid_ace_Select_Reactor_Base ( rcsid_ace_Select_Reactor_Base )`[static]`